|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionDockWidget Class Reference

The QStyleOptionDockWidget class is used to describe the parameters for drawing a dock window. More...

    #include <QStyleOptionDockWidget>

Part of the QtGui module.

Inherits QStyleOption.

- List of all members, including inherited members

### Properties

- closable : const bool
- floatable : const bool
- moveable : const bool
- title : const QString

- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionDockWidget ()
- QStyleOptionDockWidget ( const QStyleOptionDockWidget & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionDockWidget class is used to describe the parameters for drawing a dock window.

## Property Documentation

### closable : const bool

This property holds indicates that the dock window is closable.

### floatable : const bool

This property holds indicates that the dock window is floatable.

### moveable : const bool

This property holds indicates that the dock window is moveable.

### title : const QString

This property holds the title of the dock window.

## Member Function Documentation

### QStyleOptionDockWidget::QStyleOptionDockWidget ()

Constructs a QStyleOptionDockWidget. The member variables are initialized to default values.

### QStyleOptionDockWidget::QStyleOptionDockWidget ( const QStyleOptionDockWidget & other )